Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss	(revision 5571)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss	(revision 5571)
@@ -0,0 +1,64 @@
+/*
+Copyright (C) 2014 CLARIN
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+div.toggleBorder {
+
+    div.toggleBorderHeader {
+        margin: 0;
+        padding-left: 4px;
+        color: #fff;
+        font-weight: bolder;
+        cursor: pointer;
+
+        /* mimick header of 'display' table (CLARIN style) */
+        background-color: $clarin_blue;
+
+        border-top-left-radius: 6px !important;
+        border-bottom-left-radius: 6px !important;
+        -webkit-border-top-left-radius: 6px !important;
+        -webkit-border-bottom-left-radius: 6px !important;
+        -moz-border-top-left-radius: 6px !important;
+        -moz-border-bottom-left-radius: 6px !important;  
+
+        border-top-right-radius: 6px !important;
+        border-bottom-right-radius: 6px !important;
+        -webkit-border-top-right-radius: 6px !important;
+        -webkit-border-bottom-right-radius: 6px !important;
+        -moz-border-top-right-radius: 6px !important;
+        -moz-border-bottom-right-radius: 6px !important;
+
+        span {
+            font-weight: bold;
+            padding: 2px 2px 2px ($iconsize + 4px);
+            /* icon from GLYPHICONS.com */
+            background-image: url('../icons/glyphicons_369_collapse_top_white.png');
+            background-size: $iconsize;
+            background-repeat: no-repeat;
+            background-position: center left;
+        }
+
+        &.collapsed span {
+            /* icon from GLYPHICONS.com */
+            background-image: url('../icons/glyphicons_367_expand_white.png');
+        }
+    }
+
+    div.toggleBorderContent {
+        margin: 0;
+        padding: 5px;
+    }
+}
Index: rtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/toggleborder.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/toggleborder.scss	(revision 5570)
+++ 	(revision )
@@ -1,54 +1,0 @@
-/*
-Copyright (C) 2014 CLARIN
-
-This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation, either version 3 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program.  If not, see <http://www.gnu.org/licenses/>.
-*/
-
-@import 'globals';
-
-div.toggleBorder {
-    border-top: 1px solid #000000;
-}
-
-div.toggleBorder div.toggleBorderHeader {
-    margin: 0;
-    padding: 2px 2px 2px 16px;
-    border-bottom: 1px solid #000000;
-    color: inherit;
-    background-color: #D4DEEF;
-    /* icon from GLYPHICONS.com */
-    background-image: url('../icons/glyphicons_369_collapse_top.png');
-    background-size: $iconsize;
-    background-repeat: no-repeat;
-    background-position: center left;
-    cursor: pointer;
-}
-
-div.toggleBorder div.toggleBorderHeader span {
-    font-weight: bold;
-}
-
-div.toggleBorder div.toggleBorderHeader.collapsed {
-    /* icon from GLYPHICONS.com */
-    background-image: url('../icons/glyphicons_367_expand.png');
-    background-size: $iconsize;
-    background-repeat: no-repeat;
-    background-position: center left;
-}
-
-div.toggleBorder div.toggleBorderContent {
-    margin: 0;
-    padding: 5px;
-}
-