Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.html
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.html	(revision 5572)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.html	(revision 5573)
@@ -1,145 +1,146 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
-                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml"
       xmlns:wicket="http://wicket.apache.org/">
-<head />
-<body>
-<wicket:extend>
-  <div wicket:id="generalBorder">
-    <div class="property">
-      <label>Name</label>
-      <div wicket:id="name"></div>
-    </div>
-    <div class="property">
-       <label>Type</label>
-       <div wicket:id="type"></div>
-    </div>
-    <div class="property">
-      <label>Creation Date</label>
-      <div wicket:id="creationDate"></div>
-    </div>
-    <wicket:enclosure child="description">
-      <div class="property">
-        <label>Description</label>
-        <div wicket:id="description"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="purpose">
-      <div class="property">
-        <label>Purpose</label>
-        <div wicket:id="purpose"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="reproducibility">
-      <div class="property">
-        <label>Reproducibility</label>
-        <div wicket:id="reproducibility"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="reproducibilityNotice">
-      <div class="property">
-        <label>Reproducibility Notice</label>
-        <div wicket:id="reproducibilityNotice"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="pidLink">
-      <div class="property">
-        <label>Persistent identifier</label>
-        <div>
-            <a wicket:id="pidLink"><wicket:container wicket:id="persistentIdentifier.URI">1234/5678</wicket:container></a>
-        </div>
-      </div>
-    </wicket:enclosure>     
-    <wicket:enclosure child="keywords">
-      <div class="property">
-        <label>Keywords</label>
-        <div>
-          <ul class="keywords"><li wicket:id="keywords"><span wicket:id="keyword"></span></li></ul>
-        </div>
-      </div>
-    </wicket:enclosure>
-  </div>
+    <head />
+    <body>
+        <wicket:extend>
+            <h2 wicket:id="name">Title</h2>
+            <div wicket:id="generalBorder">
+                <div class="property">
+                    <label>Name</label>
+                    <div wicket:id="name"></div>
+                </div>
+                <div class="property">
+                    <label>Type</label>
+                    <div wicket:id="type"></div>
+                </div>
+                <div class="property">
+                    <label>Creation Date</label>
+                    <div wicket:id="creationDate"></div>
+                </div>
+                <wicket:enclosure child="description">
+                    <div class="property">
+                        <label>Description</label>
+                        <div wicket:id="description"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="purpose">
+                    <div class="property">
+                        <label>Purpose</label>
+                        <div wicket:id="purpose"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="reproducibility">
+                    <div class="property">
+                        <label>Reproducibility</label>
+                        <div wicket:id="reproducibility"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="reproducibilityNotice">
+                    <div class="property">
+                        <label>Reproducibility Notice</label>
+                        <div wicket:id="reproducibilityNotice"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="pidLink">
+                    <div class="property">
+                        <label>Persistent identifier</label>
+                        <div>
+                            <a wicket:id="pidLink"><wicket:container wicket:id="persistentIdentifier.URI">1234/5678</wicket:container></a>
+                        </div>
+                    </div>
+                </wicket:enclosure>     
+                <wicket:enclosure child="keywords">
+                    <div class="property">
+                        <label>Keywords</label>
+                        <div>
+                            <ul class="keywords"><li wicket:id="keywords"><span wicket:id="keyword"></span></li></ul>
+                        </div>
+                    </div>
+                </wicket:enclosure>
+            </div>
 
-  <div wicket:id="creatorsBorder">
-    <ul class="creators">
-      <li wicket:id="creators">
-        <div class="property">
-          <label>Person</label>
-          <div wicket:id="person"></div>
-        </div>
-        <wicket:enclosure child="address">
-          <div class="property">
-            <label>Address</label>
-            <div wicket:id="address"></div>
-          </div>
-        </wicket:enclosure>
-        <wicket:enclosure child="email">
-          <div class="property">
-            <label>Email</label>
-            <div wicket:id="email"></div>
-          </div>
-        </wicket:enclosure>
-        <wicket:enclosure child="organisation">
-          <div class="property">
-            <label>Organisation</label>
-            <div wicket:id="organisation"></div>
-          </div>
-        </wicket:enclosure>
-        <wicket:enclosure child="telephone">
-          <div class="property">
-            <label>Telephone</label>
-            <div wicket:id="telephone"></div>
-          </div>
-        </wicket:enclosure>
-        <wicket:enclosure child="website">
-          <div class="property">
-            <label>Website</label>
-            <div><a wicket:id="website"></a></div>
-          </div>
-        </wicket:enclosure>
-        <wicket:enclosure child="role">
-          <div class="property">
-            <label>Role</label>
-            <div wicket:id="role"></div>
-          </div>
-        </wicket:enclosure> 
-      </li>
-    </ul>
-  </div>
+            <div wicket:id="creatorsBorder">
+                <ul class="creators">
+                    <li wicket:id="creators">
+                        <div class="property">
+                            <label>Person</label>
+                            <div wicket:id="person"></div>
+                        </div>
+                        <wicket:enclosure child="address">
+                            <div class="property">
+                                <label>Address</label>
+                                <div wicket:id="address"></div>
+                            </div>
+                        </wicket:enclosure>
+                        <wicket:enclosure child="email">
+                            <div class="property">
+                                <label>Email</label>
+                                <div wicket:id="email"></div>
+                            </div>
+                        </wicket:enclosure>
+                        <wicket:enclosure child="organisation">
+                            <div class="property">
+                                <label>Organisation</label>
+                                <div wicket:id="organisation"></div>
+                            </div>
+                        </wicket:enclosure>
+                        <wicket:enclosure child="telephone">
+                            <div class="property">
+                                <label>Telephone</label>
+                                <div wicket:id="telephone"></div>
+                            </div>
+                        </wicket:enclosure>
+                        <wicket:enclosure child="website">
+                            <div class="property">
+                                <label>Website</label>
+                                <div><a wicket:id="website"></a></div>
+                            </div>
+                        </wicket:enclosure>
+                        <wicket:enclosure child="role">
+                            <div class="property">
+                                <label>Role</label>
+                                <div wicket:id="role"></div>
+                            </div>
+                        </wicket:enclosure> 
+                    </li>
+                </ul>
+            </div>
 
-  <div wicket:id="resourcesBorder">
-    <table wicket:id="resourcesTable"></table>
-  </div>
+            <div wicket:id="resourcesBorder">
+                <table wicket:id="resourcesTable" class="display resources"></table>
+            </div>
 
-  <div wicket:id="generatedByBorder">
-    <div class="property">
-      <label>Description</label>
-      <div wicket:id="generatedBy.description"></div>
-    </div>
-    <wicket:enclosure child="generatedBy.uri">
-      <div class="property">
-        <label>URI</label>
-        <div wicket:id="generatedBy.uri"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="generatedBy.query.profile">
-      <div class="property">
-        <label>Profile</label>
-        <div wicket:id="generatedBy.query.profile"></div>
-      </div>
-    </wicket:enclosure>
-    <wicket:enclosure child="generatedBy.query.value">
-      <div class="property">
-        <label>Value</label>
-        <div wicket:id="generatedBy.query.value"></div>
-      </div>
-    </wicket:enclosure>
-  </div>
+            <div wicket:id="generatedByBorder">
+                <div class="property">
+                    <label>Description</label>
+                    <div wicket:id="generatedBy.description"></div>
+                </div>
+                <wicket:enclosure child="generatedBy.uri">
+                    <div class="property">
+                        <label>URI</label>
+                        <div wicket:id="generatedBy.uri"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="generatedBy.query.profile">
+                    <div class="property">
+                        <label>Profile</label>
+                        <div wicket:id="generatedBy.query.profile"></div>
+                    </div>
+                </wicket:enclosure>
+                <wicket:enclosure child="generatedBy.query.value">
+                    <div class="property">
+                        <label>Value</label>
+                        <div wicket:id="generatedBy.query.value"></div>
+                    </div>
+                </wicket:enclosure>
+            </div>
 
-  <div class="collectionDetails buttons">
-    <a wicket:id="back" href="#">[return to previous page]</a>
-  </div>
-</wicket:extend>
-</body>
+            <div class="collectionDetails buttons">
+                <a wicket:id="back" href="#">[return to previous page]</a>
+            </div>
+        </wicket:extend>
+    </body>
 </html>
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.java	(revision 5572)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/VirtualCollectionDetailsPage.java	(revision 5573)
@@ -161,4 +161,6 @@
         add(backLink);
 
+        add(new Label("name"));
+        
         addGeneralProperties(model);
         addCreators();
@@ -274,4 +276,9 @@
             }
 
+            @Override
+            public String getCssClass() {
+                return "reference";
+            }
+
         };
 
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_collectiondetails.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_collectiondetails.scss	(revision 5572)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_collectiondetails.scss	(revision 5573)
@@ -16,69 +16,94 @@
 */
 
+div.collectionDetails { 
 
+    div.property {
+        clear: both;
+        font-size: 100%;
+        border: none;
+        padding: 0 10px 0 10px;
+        margin: 0 0 4px 0;
 
-div.collectionDetails div.property {
-    clear: both;
-    font-size: 100%;
-    border: none;
-    padding: 0 10px 0 10px;
-    margin: 0 0 4px 0;
-}
+        label, div {
+            line-height: 1.5em;
+        }
 
-div.collectionDetails div label {
-    display: block;
-    float: left;
-    width: 140px;
-    padding: 0px 2px;
-    margin: 0;
-    text-align: right;
-    font-weight: normal;
-}
+        label {
+            display: block;
+            float: left;
+            width: 140px;
+            padding: 0px 2px;
+            margin: 0;
+            text-align: right;
+            font-weight: normal;
 
-div.collectionDetails div label:after {
-    content: ':';
-}
+            &:after {
+                content: ':';
+            }
+        }
 
-div.collectionDetails div div {
-    display: block;
-    clear: none;
-    padding: 0px 2px;
-    margin-left: 144px;
-}
+        div {
+            display: block;
+            clear: none;
+            padding: 0px 2px;
+            margin-left: 144px;
+        }
 
-div.collectionDetails ul.keywords {
-    margin: 0 0 0 16px;
-    padding: 0;
-    list-style: square;
-}
+    } //div.collectionDetails div.property
 
-div.collectionDetails ul.creators {
-    margin: 0;
-    padding: 0;
-    list-style: none;
-}
+    ul {
 
-div.collectionDetails ul.creators li {
-    border-top: 1px dotted #000000;
-    margin-top: 4px;
-    padding-top: 4px;
-}
+        &.keywords {
+            margin: 0 0 0 16px;
+            padding: 0;
+            list-style: square;
+        }
 
-div.collectionDetails ul.creators li.first {
-    border-top: none;
-    margin-top: 0;
-    padding-top: 0;
-}
+        &.creators {
+            margin: 0;
+            padding: 0;
+            list-style: none;
 
-div.collectionDetails.resources {
-    padding: 0 !important;
-}
+            li {
+                border-top: 1px dotted #000000;
+                margin-top: 4px;
+                padding-top: 4px;
+            }
 
-div.collectionDetails.resources table {
-    width: 100%;
-}
+            li.first {
+                border-top: none;
+                margin-top: 0;
+                padding-top: 0;
+            }
+        }
+    } //div.collectionDetails ul
 
-div.collectionDetails.buttons {
-    margin: 10px 0 10px 0;
-    text-align: center;
-}
+    &.resources {
+        padding-left: 1em !important;
+
+        table {
+            width: 100%;
+            table-layout: fixed;
+
+            td, th {
+                padding-left: .5em;
+                width: auto;
+
+                &.reference {
+                    width: auto;
+                }
+
+                &.type {
+                    width: 9em;
+                }
+            }
+        }
+
+    } //div.collectionDetails.resources
+
+    &.buttons {
+        margin: 10px 0 10px 0;
+        text-align: center;
+    } //div.collectionDetails.buttons
+
+} //div.collectionDetails
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss	(revision 5572)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss	(revision 5573)
@@ -23,5 +23,5 @@
 
     td.type {
-        width: 60px;
+        width: 5em;
     }
 }
@@ -62,5 +62,5 @@
         overflow: hidden;
     }
-} //table.resourcesTable
+} //table.creatorsTable
 
 table.collectionsTable {
@@ -73,64 +73,73 @@
         vertical-align: top;
         padding-left: .5em;
+
+        &.state {
+            width: 5em;
+        }
+
+        &.type {
+            width: 7em;
+        }
+
+        &.created {
+            width: 7em;
+        }
+
+        &.action {
+            width: 2em;
+        }
     }
 
-    td.name div.name {
-        padding-left: 16px;
-        /* icon from GLYPHICONS.com */
-        background-image: url('../icons/glyphicons_367_expand.png');
-        background-size: $iconsize;
-        background-repeat: no-repeat;
-        background-position: center left;
-        cursor: pointer;
-    }
+    td.name {
 
-    td.name div.name:hover {
-        color: #AE0000;
-        background-color: inherit;
-    }
+        width: auto;
+        
+        div.name {
+            padding-left: 16px;
+            /* icon from GLYPHICONS.com */
+            background-image: url('../icons/glyphicons_367_expand.png');
+            background-size: $iconsize;
+            background-repeat: no-repeat;
+            background-position: center left;
+            cursor: pointer;
 
-    td.name div.name.detailsShown {
-        padding-left: 16px;
-        /* icon from GLYPHICONS.com */
-        background-image: url('../icons/glyphicons_369_collapse_top.png');
-        background-size: $iconsize;
-        background-repeat: no-repeat;
-        background-position: center left;
-    }
 
-    td.name div.name.noDetails{
-        background-image: none;
-    }
 
-    td.name div.details {
-        margin-left: 16px;
-        margin-right: -248px;
-        width: 964px;
-    }
+            &:hover {
+                color: #AE0000;
+                background-color: inherit;
+            }
 
-    td.name div.desc {
-        text-align: justify;
-        padding: 4px 0 0 0;
-    }
+            &.detailsShown {
+                padding-left: 16px;
+                /* icon from GLYPHICONS.com */
+                background-image: url('../icons/glyphicons_369_collapse_top.png');
+                background-size: $iconsize;
+                background-repeat: no-repeat;
+                background-position: center left;
+            }
 
-    td.name div.actions {
-        margin: 4px 0 2px 0;
-    }
+            &.noDetails{
+                background-image: none;
+            }
 
-    th.state, td.state {
-        width: 5em;
-    }
+        }
 
-    th.type, td.type {
-        width: 7em;
-    }
+        div.details {
+            margin-left: 16px;
+            margin-right: -248px;
+            width: 964px;
+        }
 
-    th.created, td.created {
-        width: 7em;
-    }
+        div.desc {
+            text-align: justify;
+            padding: 4px 0 0 0;
+        }
 
-    td.action, th.action {
-        width: 2em;
-    }
+        div.actions {
+            margin: 4px 0 2px 0;
+        }
+    } //td.name
+
 
     &.public td.action span,