Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$CreatorsStep.html
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$CreatorsStep.html	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$CreatorsStep.html	(revision 5574)
@@ -9,5 +9,5 @@
             <div style="display: none" wicket:id="editCreatorDialog"></div>
             <div style="display: none" wicket:id="deleteCreatorDialog"></div>
-            <div class="fieldset">
+            <div id="creatorfields" class="fieldset">
                 <div class="extrainfo">
                     <a href="#" class="extrainfotoggle"><span>[info]</span></a>
@@ -29,5 +29,5 @@
                     <a id="addme" href="#" wicket:id="addme" class="add tooltipparent"><span>[add me]</span><span class="tooltip">Add a new creator with the available user details already filled in</span></a>
                 </label>
-                <table wicket:id="creatorsTable" class="creatorsTable"></table>
+                <table wicket:id="creatorsTable" class="creatorsTable display"></table>
             </div>
         </wicket:panel>
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html	(revision 5574)
@@ -10,5 +10,5 @@
             <div style="display: none" wicket:id="deleteResourceDialog"></div>
             <div style="display: none" wicket:id="addResourcesDialog"></div>
-            <div wicket:id="resourcesContainer" class="fieldset">
+            <div id="resourcesfields" class="fieldset">
                 <div class="extrainfo">
                     <a href="#" class="extrainfotoggle"><span>[info]</span></a>
@@ -27,9 +27,11 @@
                     </div>
                 </div>
-                <label class="required">Resources<br />
-                    <a id="add" wicket:id="add" href="#" class="add tooltipparent"><span>[add]</span><span class="tooltip">Add a single new resource or metadata reference with an optional label and/or description</span></a><br />
-                    <a id="addmore" wicket:id="addMore" href="#" class="addMore tooltipparent"><span>[add more]</span><span class="tooltip">Add one or reference of the same type</span></a>
-                </label>
-                <table wicket:id="resourcesTable" class="resourcesTable"></table>
+                <div wicket:id="resourcesContainer">
+                    <label class="required">Resources<br />
+                        <a id="add" wicket:id="add" href="#" class="add tooltipparent"><span>[add]</span><span class="tooltip">Add a single new resource or metadata reference with an optional label and/or description</span></a><br />
+                        <a id="addmore" wicket:id="addMore" href="#" class="addMore tooltipparent"><span>[add more]</span><span class="tooltip">Add one or reference of the same type</span></a>
+                    </label>
+                    <table wicket:id="resourcesTable" class="resourcesTable display"></table>
+                </div>
             </div>
         </wicket:panel>
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_feedback.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_feedback.scss	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_feedback.scss	(revision 5574)
@@ -18,13 +18,26 @@
 #feedback ul {
     padding-left: 0px;
+
+    $feedbackiconsize: 16px;
+
+    li {
+        font-weight: bold;
+        padding: 5px 5px 5px $feedbackiconsize + 8;
+        list-style: none;
+        margin: 1em;
+        min-height: $feedbackiconsize;
+        background-size: $feedbackiconsize;
+        background-repeat: no-repeat;
+        background-position-x: 4px;
+        background-position-y: 50%;
+
+        @include roundborder(6px);
+
+        &.feedbackPanelERROR {
+            background-image: url(../icons/glyphicons_078_warning_sign.png);
+            background-color: $red;
+            color: wheat;
+        }
+    }
 }
 
-#feedback ul li {
-    font-weight: bold;
-    padding: 5px;
-    list-style: none;    
-}
-
-#feedback ul li.feedbackPanelERROR {
-    background: red;
-}
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_mixins.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_mixins.scss	(revision 5574)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_mixins.scss	(revision 5574)
@@ -0,0 +1,37 @@
+/*
+Copyright (C) 2014 CLARIN
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+/* 
+    Created on : Aug 20, 2014, 10:36:04 AM
+    Author     : twagoo
+*/
+
+@mixin roundborder($radius) {
+
+    border-top-left-radius: $radius !important;
+    border-bottom-left-radius: $radius !important;
+    -webkit-border-top-left-radius: $radius !important;
+    -webkit-border-bottom-left-radius: $radius !important;
+    -moz-border-top-left-radius: $radius !important;
+    -moz-border-bottom-left-radius: $radius !important;  
+
+    border-top-right-radius: $radius !important;
+    border-bottom-right-radius: $radius !important;
+    -webkit-border-top-right-radius: $radius !important;
+    -webkit-border-bottom-right-radius: $radius !important;
+    -moz-border-top-right-radius: $radius !important;
+    -moz-border-bottom-right-radius: $radius !important;
+}
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_table.scss	(revision 5574)
@@ -30,9 +30,9 @@
 
     tr:hover td {
-        border-top: 6px solid #ccc;
+        border-top: 6px solid $red !important;
     }
 
     tr.moving:hover td {
-        border-top: 0px;
+        border-top: 0px !important;
     }
 }
@@ -40,4 +40,7 @@
 table.resourcesTable {
 
+    width: 800px;
+    table-layout: fixed;     
+    
     td.move {
         width: 5em;
@@ -45,8 +48,9 @@
 
     tr.moving {
-        background: #ccc;
+        background-color: $red !important;
 
         td, td a {
-            color: #333;
+            background-color: $red !important;
+            color: white !important;
         }
     }
@@ -56,5 +60,6 @@
 table.creatorsTable {
 
-    width: 805px;
+    width: 800px;
+    table-layout: fixed;
 
     td {
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_toggleborder.scss	(revision 5574)
@@ -28,17 +28,5 @@
         background-color: $clarin_blue;
 
-        border-top-left-radius: 6px !important;
-        border-bottom-left-radius: 6px !important;
-        -webkit-border-top-left-radius: 6px !important;
-        -webkit-border-bottom-left-radius: 6px !important;
-        -moz-border-top-left-radius: 6px !important;
-        -moz-border-bottom-left-radius: 6px !important;  
-
-        border-top-right-radius: 6px !important;
-        border-bottom-right-radius: 6px !important;
-        -webkit-border-top-right-radius: 6px !important;
-        -webkit-border-bottom-right-radius: 6px !important;
-        -moz-border-top-right-radius: 6px !important;
-        -moz-border-bottom-right-radius: 6px !important;
+        @include roundborder(6px);
 
         span {
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss	(revision 5574)
@@ -16,19 +16,28 @@
 */
 
-div.wizard .wicketExtensionsWizardHeaderTitle {
-    padding: 0px 10px;
-    font-size: 16px;
-    font-weight: bold;
-}
-
-div.wizard .wicketExtensionsWizardHeaderSummary {
-    padding: 5px 10px 0 10px;
-    font-style: italics;
-}
-
-div.wizard .wizardHeader {
-    border-bottom: 1px solid #000000;
-    margin: 0 0 10px 0;
-    padding: 0 0 10px 0;
+div.wizard {
+
+    .wicketExtensionsWizardHeaderTitle {
+        padding: 0px 10px;
+        font-size: 16px;
+        font-weight: bold;
+    }
+
+    .wicketExtensionsWizardHeaderSummary {
+        padding: 5px 10px 0 10px;
+        font-style: italics;
+    }
+
+    .wizardHeader {
+        border-bottom: 1px solid #000000;
+        margin: 0 0 10px 0;
+        padding: 0 0 10px 0;
+    }
+
+    .wizardFeedback {
+        // redundant because of global feedback, suppress 
+        display: none !important;
+    }
+
 }
 
@@ -65,73 +74,114 @@
 }
 
+$help-icon-size: 16px;
+
 form.wizard .extrainfo a.extrainfotoggle {
     display: inline-block;
     float: right;
     vertical-align: top;
-    width: 16px;
-    height: 16px;
-    background-image: url(help-128.png); /* from http://www.iconsdb.com/ */
-    background-size: 16px 16px;
+    width: $help-icon-size;
+    height: $help-icon-size;
+    /* icon from GLYPHICONS.com */
+    background-image: url(../icons/glyphicons_194_circle_question_mark.png);
+    background-size: $help-icon-size;
     background-repeat: no-repeat;
 }
 
-form.wizard .extrainfo a.extrainfotoggle span {
-    display: none;
-}
-
-form.wizard div.notes, form.wizard div.sidenotes {
-    display: inline-block;
-    height: auto;
-    padding: 5px;
-    border: 1px solid #666666;
-    background-color: #ffffe1;
-    color: #666666;
-}
-
-form.wizard div.notes {
-    width: 80%;
-    margin: 0 0 10px 70px;
-}
-
-form.wizard div.sidenotes {
-    float: right;
-    width: 198px;
-    margin: 0 0 10px 10px;
-}
-
-form.wizard div.notes h4 {
-    /*
-    background-image: url(/images/icon_info.gif);
-    background-repeat: no-repeat;
-    background-position: top left;
-    */
-    text-align: center;
-    padding: 3px 0 3px 0; /*27px; */
-    margin: 0 0 3px 0;
-    border-width: 0 0 1px 0;
-    border-style: solid;
-    border-color: #666666;
-    color: #666666;
-    font-size: 100%;
-}
-
-form.wizard div.notes p {
-    margin: 0em 0em 0.5em 0em;
-    color: #666666;
-    font-size: 80%;
-}
-
-form.wizard div.notes p.last {
-    margin: 0em;
-}
-
-form.wizard div label {
-    display: block;
-    float: left;
-    width: 140px;
-    padding: 3px 10px;
-    margin: 0 0 5px 0;
-    text-align: right;
-    font-weight: normal;
+form.wizard {
+
+    .extrainfo a.extrainfotoggle span {
+        display: none;
+    }
+
+    div.notes, div.sidenotes {
+        display: inline-block;
+        height: auto;
+        padding: 5px;
+        border: 1px solid #666666;
+        background-color: #ffffe1;
+        color: #666666;
+    }
+
+    div.notes {
+        width: 80%;
+        margin: 0 0 10px 70px;
+    }
+
+    div.sidenotes {
+        float: right;
+        width: 198px;
+        margin: 0 0 10px 10px;
+    }
+
+    div.notes h4 {
+        /*
+        background-image: url(/images/icon_info.gif);
+        background-repeat: no-repeat;
+        background-position: top left;
+        */
+        text-align: center;
+        padding: 3px 0 3px 0; /*27px; */
+        margin: 0 0 3px 0;
+        border-width: 0 0 1px 0;
+        border-style: solid;
+        border-color: #666666;
+        color: #666666;
+        font-size: 100%;
+    }
+
+    div.notes p {
+        margin: 0em 0em 0.5em 0em;
+        color: #666666;
+        font-size: 80%;
+    }
+
+    div.notes p.last {
+        margin: 0em;
+    }
+
+    div label {
+        display: block;
+        float: left;
+        width: 140px;
+        padding: 3px 10px;
+        margin: 0 0 5px 0;
+        text-align: right;
+        font-weight: normal;
+    }
+
+
+    textarea {
+        font-family: Verdana, sans-serif;
+        font-size: 100%;
+        width: 570px;
+        overflow: auto;
+        margin-bottom: 5px;
+    }
+
+    .wizardButtons {
+        border-top: 1px solid #000000;
+        margin: 10px 0 0 0;
+        clear: both;
+    }
+
+    .buttonbar {
+        margin: 10px 220px 0 0;
+        padding: 0 10px 0 0;
+        text-align: right; 
+    }
+} //form.wizard
+
+
+form.wizard .buttonbar, div.modalDialog div.modalDialogButtons {
+
+    input.button:hover {
+        color: #AE0000;
+        background-color: #E9EEF7;
+    }
+
+    input.button[disabled],input.button[disabled]:hover {
+        color: #AFAFAF;
+        border-color: #EFEFEF;
+    }
 }
 
@@ -139,38 +189,4 @@
 label.required {
     font-weight: bold !important;
-}
-
-form.wizard textarea {
-    font-family: Verdana, sans-serif;
-    font-size: 100%;
-    width: 570px;
-    overflow: auto;
-    margin-bottom: 5px;
-}
-
-form.wizard .wizardButtons {
-    border-top: 1px solid #000000;
-    margin: 10px 0 0 0;
-    clear: both;
-}
-
-form.wizard .buttonbar {
-    margin: 10px 220px 0 0;
-    padding: 0 10px 0 0;
-    text-align: right; 
-}
-
-form.wizard .buttonbar input.button:hover,
-div.modalDialog div.modalDialogButtons input.button:hover {
-    color: #AE0000;
-    background-color: #E9EEF7;
-}
-
-form.wizard .buttonbar  input.button[disabled],
-form.wizard .buttonbar  input.button[disabled]:hover,
-div.modalDialog div.modalDialogButtons input.button[disabled],
-div.modalDialog div.modalDialogButtons input.button[disabled]:hover {
-    color: #AFAFAF;
-    border-color: #EFEFEF;
 }
 
@@ -181,20 +197,21 @@
     margin: 0;
     padding: 0;
-}
-
-div.modalDialog div.modalDialogContent {
-    margin: 10px;
-}
-
-div.modalDialog div.modalDialogContent p {
-    margin: 1em;
-}
-
-div.modalDialog div.modalDialogButtons {
-    border-top: 1px solid #BBBBBB;
-    margin: 0 5px 5px 5px;
-    padding: 5px 0 0 0;
-    text-align: center;
-}
+
+    div.modalDialogContent {
+        margin: 10px;
+        
+        p {
+            margin: 1em;
+        }
+    }
+
+    div.modalDialogButtons {
+        border-top: 1px solid #BBBBBB;
+        margin: 0 5px 5px 5px;
+        padding: 5px 0 0 0;
+        text-align: center;
+    }
+}
+
 
 div.confirmationDialog {
@@ -221,37 +238,42 @@
 }
 
-
 /*
  * dialog customizations
  */
-div.editCreatorDialog  fieldset label {
-    width: 90px;
-}
-
-div.editCreatorDialog fieldset input,
-div.editCreatorDialog fieldset textarea {
-    width: 255px;
-}
-
-div.editResourceDialog fieldset label {
-    width: 70px;
-}
-
-div.editResourceDialog fieldset input,
-div.editResourceDialog fieldset textarea {
-    width: 475px;
-}
-
-div.addResourcesDialog fieldset label {
-    width: 85px;
-}
-
-div.addResourcesDialog fieldset input,
-div.addResourcesDialog fieldset textarea {
-    width: 460px;
+div.editCreatorDialog fieldset {
+
+    label {
+        width: 7em;
+    }
+
+    input, textarea {
+        width: 17em;
+    }
+}
+
+div.editResourceDialog fieldset {
+
+    label {
+        width: 6em;
+    }
+
+    input, textarea {
+        width: 30em;
+    }
+}
+
+div.addResourcesDialog fieldset {
+
+    label {
+        width: 6em;
+    }
+
+    input, textarea {
+        width: 30em;
+    }
 }
 
 div.addKeywordDialog fieldset input {
-    width: 285px;
+    width: 20em;
 }
 
@@ -268,23 +290,25 @@
     margin-left: 160px;
     padding: 3px 0;
-}
-
-div.keywordsList div {
-    clear: none;
-}
-
-div.keywordsList ul {
-    list-style-type: square;
-    margin: 0;
-    padding: 0 0 0 16px;
-}
-
-div.keywordsList ul li {
-    margin-top: 2px;
-}
-
-div.keywordsList ul li.first {
-    margin-top: 0;
-}
+
+
+    div {
+        clear: none;
+    }
+
+    ul {
+        list-style-type: square;
+        margin: 0;
+        padding: 0 0 0 16px;
+
+        li {
+            margin-top: 2px;
+        }
+
+        li.first {
+            margin-top: 0;
+        }
+    }
+}
+
 
 input.button {
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/vcr.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/vcr.scss	(revision 5573)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/vcr.scss	(revision 5574)
@@ -4,4 +4,5 @@
 $iconsize: 12px;
 
+@import 'mixins';
 @import 'toggleborder';
 @import 'table';