Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html	(revision 5577)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/wizard/CreateVirtualCollectionWizard$ResourcesStep.html	(revision 5578)
@@ -16,12 +16,23 @@
                         <h4>Add resource or metadata references</h4>
                         <p>
-                            Click 'add' to add an individual reference of the 
+                            Click <strong>add</strong> to add an individual reference of the 
                             type 'Metadata' or 'Resource' and optionally add a 
                             label and/or description. 
                         </p>
-                        <p class="last">
-                            Click 'add more' to add multiple references (one per
+                        <p>
+                            Click <strong>add more</strong> to add multiple references (one per
                             line) of one type without labels or resources.
                             Individual resources can be edited at any stage.
+                        </p>
+                        <p class="last">
+                            It is recommended to only use <em>persistent 
+                            identifiers</em> as references. The following are
+                            examples of valid persistent identifiers:
+                            <ul>
+                                <li>hdl:1839/00-0000-0000-0001-305B-C</li>
+                                <li>doi:10.10.1038/nphys1170</li>
+                                <li>http://hdl.handle.net/1839/00-0000-0000-0000-0000-4</li>
+                                <li>http://dx.doi.org/10.1002/0470841559.ch1</li>
+                            </ul>
                         </p>
                     </div>
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/ReferenceValidator.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/ReferenceValidator.java	(revision 5577)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/ReferenceValidator.java	(revision 5578)
@@ -34,5 +34,7 @@
 public class ReferenceValidator extends AbstractValidator<String> {
 
-    private static final Pattern HANDLE_PATTERN = Pattern.compile("^(hdl|doi):[0-9\\.]+\\/.+$");
+    private static final String HANDLE_SPECIFIC_PART_PATTERN = "[0-9\\.]+\\/.+$";
+    private static final Pattern HANDLE_PATTERN = Pattern.compile("^(hdl|doi):" + HANDLE_SPECIFIC_PART_PATTERN);
+    private static final Pattern HANDLE_RESOLVER_PATTERN = Pattern.compile("^http://(hdl\\.handle\\.net|dx\\.doi\\.org|)/" + HANDLE_SPECIFIC_PART_PATTERN);
     private final IValidator<String> urlValidator = new UrlValidator(UrlValidator.NO_FRAGMENTS);
 
@@ -54,7 +56,16 @@
         return validatable.isValid();
     }
-    
+
+    /**
+     *
+     * @param uri
+     * @return true IFF the expression is a URI consisting of a valid handle
+     * pattern preceded by a handle scheme expression (hdl: or doi:) OR one of
+     * the accepted handle resolver base URL's (http://hdl.handle.net or
+     * http://dx.doi.org)
+     */
     public static boolean isPid(CharSequence uri) {
-        return HANDLE_PATTERN.matcher(uri).matches();
+        return HANDLE_PATTERN.matcher(uri).matches()
+                || HANDLE_RESOLVER_PATTERN.matcher(uri).matches();
     }
 
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss	(revision 5577)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/webapp/css/_wizard.scss	(revision 5578)
@@ -101,5 +101,26 @@
         background-color: #ffffe1;
         color: #666666;
-    }
+
+        h4 {
+            text-align: center;
+            padding: 3px 0 3px 0;
+            margin: 0 0 3px 0;
+            border-width: 0 0 1px 0;
+            border-style: solid;
+            border-color: #666666;
+            color: #666666;
+            font-size: 100%;
+        }
+
+        p, ul {
+            margin: 0em 0em 0.5em 0em;
+            color: #666666;
+            font-size: 80%;
+        }
+
+        p.last {
+            margin: 0em;
+        }
+    } //div.notes, div.sidenotes
 
     div.notes {
@@ -111,31 +132,5 @@
         float: right;
         width: 198px;
-        margin: 0 0 10px 10px;
-    }
-
-    div.notes h4 {
-        /*
-        background-image: url(/images/icon_info.gif);
-        background-repeat: no-repeat;
-        background-position: top left;
-        */
-        text-align: center;
-        padding: 3px 0 3px 0; /*27px; */
-        margin: 0 0 3px 0;
-        border-width: 0 0 1px 0;
-        border-style: solid;
-        border-color: #666666;
-        color: #666666;
-        font-size: 100%;
-    }
-
-    div.notes p {
-        margin: 0em 0em 0.5em 0em;
-        color: #666666;
-        font-size: 80%;
-    }
-
-    div.notes p.last {
-        margin: 0em;
+        margin: 0 0 10px 10px;    
     }
 
@@ -200,5 +195,5 @@
     div.modalDialogContent {
         margin: 10px;
-        
+
         p {
             margin: 1em;
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/test/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/VirtualCollectionPrePublicationValidatorTest.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/test/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/VirtualCollectionPrePublicationValidatorTest.java	(revision 5577)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/test/java/eu/clarin/cmdi/virtualcollectionregistry/service/impl/VirtualCollectionPrePublicationValidatorTest.java	(revision 5578)
@@ -54,4 +54,6 @@
         vc.getResources().add(new Resource(Resource.Type.METADATA, "hdl:1234/5678"));
         vc.getResources().add(new Resource(Resource.Type.METADATA, "doi:1.2.3/456"));
+        vc.getResources().add(new Resource(Resource.Type.METADATA, "http://hdl.handle.net/1234/5678"));
+        vc.getResources().add(new Resource(Resource.Type.METADATA, "http://dx.doi.org/1.2.3/456"));
         try {
             instance.validate(vc);