Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/model/ComponentRegistryResponse.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/model/ComponentRegistryResponse.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/model/ComponentRegistryResponse.java	(revision 5603)
@@ -21,5 +21,5 @@
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlSeeAlso({RegisterResponse.class, CommentResponse.class})
-@XmlType(propOrder = {"registered","isInUserSpace","errors"})
+@XmlType(propOrder = {"registered","isPrivate","errors"})
 public class ComponentRegistryResponse {
 
@@ -28,5 +28,5 @@
     
     @XmlAttribute(required = true)
-    private Boolean isInUserSpace;
+    private Boolean isPrivate;
     
     @XmlElementWrapper(name = "errors", required = false)
@@ -58,10 +58,10 @@
     }
 
-    public void setIsInUserSpace(Boolean isInUserSpace) {
-        this.isInUserSpace = isInUserSpace;
+    public void setIsPrivate(Boolean isPrivate) {
+        this.isPrivate = isPrivate;
     }
 
-    public Boolean isInUserSpace() {
-        return isInUserSpace;
+    public Boolean isPrivate() {
+        return isPrivate;
     }
 }
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5603)
@@ -1306,5 +1306,5 @@
             RegisterResponse response = new RegisterResponse();
             //obsolete. Make it setstatus
-            response.setIsInUserSpace(!desc.isPublic());
+            response.setIsPrivate(!desc.isPublic());
             this.validate(response, descriptionValidator, validator);
             if (response.getErrors().isEmpty()) {
@@ -1391,5 +1391,5 @@
             CommentResponse responseLocal = new CommentResponse();
 
-            responseLocal.setIsInUserSpace(!description.isPublic());
+            responseLocal.setIsPrivate(!description.isPublic());
             this.validateComment(responseLocal, validator);
             if (responseLocal.getErrors().isEmpty()) {
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/PublishAction.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/PublishAction.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/PublishAction.java	(revision 5603)
@@ -20,5 +20,5 @@
     @Override
     public int execute(BaseDescription desc, CMDComponentSpec spec, RegisterResponse response, ComponentRegistry registry) throws UserUnauthorizedException, ItemNotFoundException{
-        response.setIsInUserSpace(false);
+        response.setIsPrivate(false);
         return registry.publish(desc, spec, principal);
     }
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/index.jsp
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/index.jsp	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/index.jsp	(revision 5603)
@@ -90,5 +90,5 @@
 			"type", "application/x-shockwave-flash",
 			"pluginspage", "http://www.adobe.com/go/getflashplayer",
-			"FlashVars", "serviceRootUrl=<%= application.getInitParameter("eu.clarin.cmdi.componentregistry.serviceRootUrl") %>&userName=${pageContext.request.remoteUser}&item=${param.item}&view=${param.view}&browserview=${param.browserview}&space=${param.space}&debug=${flexDebug}"
+			"FlashVars", "serviceRootUrl=<%= application.getInitParameter("eu.clarin.cmdi.componentregistry.serviceRootUrl") %>&userName=${pageContext.request.remoteUser}&itemId=${param.itemId}&view=${param.view}&browserview=${param.browserview}&registrySpace=${param.registrySpace}&groupId=${param.groupId}&debug=${flexDebug}"
 			    
 	);
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/CommentResponseTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/CommentResponseTest.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/CommentResponseTest.java	(revision 5603)
@@ -35,5 +35,5 @@
 	CommentResponse resp = new CommentResponse();
 	resp.setRegistered(false);
-	resp.setIsInUserSpace(true);
+	resp.setIsPrivate(true);
 	resp.addError("Error 1");
 	resp.addError("Error 2, <!-- to be escaped -->");
@@ -42,5 +42,5 @@
 	String expected = "";
 	expected += "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
-	expected += "<commentResponse registered=\"false\" isInUserSpace=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
+	expected += "<commentResponse registered=\"false\" isPrivate=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
 	expected += "    <errors>\n";
 	expected += "        <error>Error 1</error>\n";
@@ -64,5 +64,5 @@
 	CommentResponse resp = new CommentResponse();
 	resp.setRegistered(true);
-	resp.setIsInUserSpace(false);
+	resp.setIsPrivate(false);
 	resp.setComment(getComment());
 	ByteArrayOutputStream out = new ByteArrayOutputStream();
@@ -70,5 +70,5 @@
 	String expected = "";
 	expected += "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
-	expected += "<commentResponse registered=\"true\" isInUserSpace=\"false\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
+	expected += "<commentResponse registered=\"true\" isPrivate=\"false\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
 	expected += "    <errors/>\n";
 	expected += "    <comment>\n";
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/RegisterResponseTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/RegisterResponseTest.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/model/RegisterResponseTest.java	(revision 5603)
@@ -28,5 +28,5 @@
 		resp.setRegistered(false);
 		resp.setIsProfile(true);
-		resp.setIsInUserSpace(true);
+		resp.setIsPrivate(true);
 		resp.addError("Error 1");
 		resp.addError("Error 2, <!-- to be escaped -->");
@@ -35,5 +35,5 @@
 		String expected = "";
 		expected += "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
-		expected += "<registerResponse isProfile=\"true\" registered=\"false\" isInUserSpace=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
+		expected += "<registerResponse isProfile=\"true\" registered=\"false\" isPrivate=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
 		expected += "    <errors>\n";
 		expected += "        <error>Error 1</error>\n";
@@ -54,5 +54,5 @@
 		resp.setRegistered(true);
 		resp.setIsProfile(true);
-		resp.setIsInUserSpace(false);
+		resp.setIsPrivate(false);
 		resp.setDescription(getProfileDescription());
 		ByteArrayOutputStream out = new ByteArrayOutputStream();
@@ -60,5 +60,5 @@
 		String expected = "";
 		expected += "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
-		expected += "<registerResponse isProfile=\"true\" registered=\"true\" isInUserSpace=\"false\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
+		expected += "<registerResponse isProfile=\"true\" registered=\"true\" isPrivate=\"false\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
 		expected += "    <errors/>\n";
 		expected += "    <description xsi:type=\"profileDescription\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\n";
@@ -87,5 +87,5 @@
 		resp.setRegistered(true);
 		resp.setIsProfile(false);
-		resp.setIsInUserSpace(true);
+		resp.setIsPrivate(true);
 		resp.setDescription(getComponentDescription());
 		ByteArrayOutputStream out = new ByteArrayOutputStream();
@@ -93,5 +93,5 @@
 		String expected = "";
 		expected += "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
-		expected += "<registerResponse isProfile=\"false\" registered=\"true\" isInUserSpace=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
+		expected += "<registerResponse isProfile=\"false\" registered=\"true\" isPrivate=\"true\" xmlns:ns2=\"http://www.w3.org/1999/xlink\">\n";
 		expected += "    <errors/>\n";
 		expected += "    <description xsi:type=\"componentDescription\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\n";
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5603)
@@ -861,5 +861,5 @@
                 RegisterResponse.class, form);
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ProfileDescription profileDesc = (ProfileDescription) response
                 .getDescription();
@@ -993,5 +993,5 @@
                 form);
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ProfileDescription profileDesc = (ProfileDescription) response
                 .getDescription();
@@ -1151,5 +1151,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ComponentDescription desc = (ComponentDescription) response
                 .getDescription();
@@ -1283,5 +1283,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ComponentDescription desc = (ComponentDescription) response
                 .getDescription();
@@ -1309,5 +1309,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         desc = (ComponentDescription) response.getDescription();
         assertNotNull(desc);
@@ -1345,5 +1345,5 @@
         assertTrue(response.isRegistered());
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ProfileDescription desc = (ProfileDescription) response
                 .getDescription();
@@ -1372,5 +1372,5 @@
         assertTrue(response.isRegistered());
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         desc = (ProfileDescription) response.getDescription();
         assertNotNull(desc);
@@ -1434,5 +1434,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ComponentDescription desc = (ComponentDescription) response
                 .getDescription();
@@ -1469,5 +1469,5 @@
                 .post(CommentResponse.class, form);
         assertTrue(response.isRegistered());
-        assertFalse(response.isInUserSpace());
+        assertFalse(response.isPrivate());
         Comment comment = response.getComment();
         assertNotNull(comment);
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java	(revision 5602)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java	(revision 5603)
@@ -860,5 +860,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ComponentDescription desc = (ComponentDescription) response.getDescription();
         assertNotNull(desc);
@@ -877,5 +877,5 @@
         assertTrue(response.isRegistered());
         assertFalse(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         desc = (ComponentDescription) response.getDescription();
         assertNotNull(desc);
@@ -903,5 +903,5 @@
         assertTrue(response.isRegistered());
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         ProfileDescription pdesc = (ProfileDescription) response.getDescription();
         assertNotNull(pdesc);
@@ -920,5 +920,5 @@
         assertTrue(response.isRegistered());
         assertTrue(response.isProfile());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         pdesc = (ProfileDescription) response.getDescription();
         assertNotNull(pdesc);
@@ -954,5 +954,5 @@
                 .type(MediaType.MULTIPART_FORM_DATA).post(
                 RegisterResponse.class, form);
-        assertFalse(response.isInUserSpace());
+        assertFalse(response.isPrivate());
         assertTrue(response.isProfile());
         assertEquals(ProfileDescription.PROFILE_PREFIX+"profile-1", response.getDescription().getId());
@@ -979,5 +979,5 @@
                 .type(MediaType.MULTIPART_FORM_DATA).post(
                 RegisterResponse.class, form);
-        assertFalse(response.isInUserSpace());
+        assertFalse(response.isPrivate());
         assertTrue(response.isProfile());
         assertEquals(ProfileDescription.PROFILE_PREFIX+"Bprofile-1", response.getDescription().getId());
@@ -1014,5 +1014,5 @@
                 .type(MediaType.MULTIPART_FORM_DATA).post(
                 RegisterResponse.class, form);
-        assertFalse(response.isInUserSpace());
+        assertFalse(response.isPrivate());
         assertFalse(response.isProfile());
         assertEquals(ComponentDescription.COMPONENT_PREFIX+"component-1", response.getDescription().getId());
@@ -1040,5 +1040,5 @@
                 .type(MediaType.MULTIPART_FORM_DATA).post(
                 RegisterResponse.class, form);
-        assertFalse(response.isInUserSpace());
+        assertFalse(response.isPrivate());
         assertFalse(response.isProfile());
         assertEquals(ComponentDescription.COMPONENT_PREFIX+"Bcomponent-1", response.getDescription().getId());
@@ -1237,5 +1237,5 @@
                 .post(CommentResponse.class, form);
         assertTrue(response.isRegistered());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         Comment comment = response.getComment();
         assertNotNull(comment);
@@ -1259,5 +1259,5 @@
                 .post(CommentResponse.class, form);
         assertTrue(response.isRegistered());
-        assertTrue(response.isInUserSpace());
+        assertTrue(response.isPrivate());
         comment = response.getComment();
         assertNotNull(comment);